Error
A valid request URL is required to generate request examples{
"endpoints": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"events": [],
"headers": {},
"include_response": true,
"allow_private_network": true,
"disabled": true,
"max_retries": 123,
"retry_backoff_initial_seconds": 123,
"retry_backoff_max_seconds": 123,
"attempt_timeout_seconds": 123,
"max_response_payload_kbs": 123,
"max_concurrent_deliveries": 123,
"consecutive_failures": 123,
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"count": 123,
"total_count": 123,
"limit": 123,
"offset": 123
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}Webhooks
List webhook endpoints
Returns webhook endpoints, optionally filtered by search text, subscribed event, and disabled status. Signing secrets are never included and custom header values are redacted.
GET
/
api
/
webhooks
Error
A valid request URL is required to generate request examples{
"endpoints": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"events": [],
"headers": {},
"include_response": true,
"allow_private_network": true,
"disabled": true,
"max_retries": 123,
"retry_backoff_initial_seconds": 123,
"retry_backoff_max_seconds": 123,
"attempt_timeout_seconds": 123,
"max_response_payload_kbs": 123,
"max_concurrent_deliveries": 123,
"consecutive_failures": 123,
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"count": 123,
"total_count": 123,
"limit": 123,
"offset": 123
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Query Parameters
Case-insensitive match against endpoint name or URL.
Comma-separated events; returns endpoints subscribed to any of them.
Filter by disabled status. Omit for no filter.
Was this page helpful?
⌘I

